> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phishy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Profile

> Creates a new profile



## OpenAPI

````yaml POST /profiles
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://base.url.com
security:
  - apiKey: []
paths:
  /profiles:
    post:
      description: Creates a new profile
      operationId: createProfile
      requestBody:
        description: Profile to add
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SMTPConfig'
        required: true
      responses:
        '200':
          description: Profile created
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GETProfile'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: You do not have permission to access this resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
components:
  schemas:
    SMTPConfig:
      type: object
      required:
        - name
        - username
        - password
        - host
        - port
        - interface_type
        - from_address
        - ignore_cert_errors
        - is_secure
      properties:
        name:
          type: string
          description: A descriptive name for the SMTP configuration
        username:
          type: string
          description: Username for SMTP authentication
        password:
          type: string
          description: Password for SMTP authentication
          format: password
        host:
          type: string
          description: SMTP server host address
        port:
          type: integer
          description: SMTP server port
          format: int32
        interface_type:
          type: string
          description: Type of the email sending interface
          enum:
            - SMTP
            - API
        from_address:
          type: string
          description: The email address to use in the 'From' field
        ignore_cert_errors:
          type: boolean
          description: Specifies if SSL/TLS certificate errors should be ignored
          default: true
        is_secure:
          type: boolean
          description: Indicates if the connection should be secured (SSL/TLS)
          default: false
    GETProfile:
      type: object
      required:
        - name
        - method
        - fromAddress
        - mailServer
        - mailServerPort
        - customPort
        - useSSLTLS
      properties:
        name:
          type: string
          description: Name of the user
        method:
          type: string
          description: Method used for the profile
        fromAddress:
          type: string
          description: Originating address of the profile
        mailServer:
          type: string
          description: Mail server address used for the profile
        mailServerPort:
          type: integer
          description: Port used by the mail server
          format: int32
        customPort:
          type: boolean
          description: Indicates if a custom port is used
          default: false
        useSSLTLS:
          type: boolean
          description: Indicates if SSL/TLS is used for the connection
          default: false
        lastUpdatedBy:
          type: string
          description: User who last updated the profile
        lastModified:
          type: string
          description: Date and time when the profile was last modified
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    ForbiddenError:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code representing the type of error
          example: 403
        message:
          type: string
          description: A message describing the error
          example: You do not have permission to access this resource.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-phishy-api-key

````